# (1)
tail -n +23 file.txt | head -n 1
sed -n '23p' file.txt
awk 'NR==23' file.txt

# (2)
awk '{for(i=1;i<=NF;i++) num[$i]++;} END{ for(k in num) print k" "num[k]}' file.txt | sort -rnk 2

# (3)
#!/bin/bash
function run_daemon() {
  while true
  do
    for i in {20001..20003}
    do
      local num=$(lsof -i:$i | grep "^start " | wc -l)
      if [ $num -eq 0 ];then
        nohup ./start $i > start_$i.out 2>&1 &
      fi
    done
    sleep 1
  done
}

nohup run_daemon > run_daemon.out 2>&1 &